'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var split = function split(s, delimiter) {
    if (!s) {
        return [];
    }
    if (!delimiter) {
        delimiter = '*';
    }
    var raw = s.split(delimiter);
    var len = raw.length - 1;
    var cook = raw.map(function (item, i) {
        if (i % 2 === 0 || i === len) {
            return [0, item];
        } else {
            return [1, item];
        }
    });
    return cook;
};

exports.default = split;
module.exports = exports['default'];